For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • v2 Migration
    • Webflow v1 API Deprecation Notice
    • Migrating to v2
  • Meta
    • GETAuthorized User
    • GETAuthorized Info
  • Sites
  • CMS
  • Ecommerce
      • GETList Inventory
      • PATCHUpdate Item Inventory
      • POSTUpdated eComm Inventory
LogoLogo
Resources
Get started
EcommerceInventory

Update Item Inventory

PATCH
https://api.webflow.com/collections/:collection_id/items/:item_id/inventory
PATCH
/collections/:collection_id/items/:item_id/inventory
$curl -X PATCH https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items/580e64008c9a982ac9b8b754/inventory \
> -H "Accept-Version: 1.0.0" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "_id": "5bfedb42bab0ad90fa7dad39",
3 "quantity": 83,
4 "inventoryType": "finite"
5}

Updates the current inventory levels for a particular SKU item. Updates may be given in one or two methods, absolutely or incrementally. Absolute updates are done by setting quantity directly. Incremental updates are by specifying the inventory delta in updateQuantity which is then added to the quantity stored on the server.

Was this page helpful?
Previous

Updated eComm Inventory

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "uuid"
Unique identifier for a Collection
item_idstringRequiredformat: "uuid"
Unique identifier for and Item

Headers

Accept-VersionstringOptional
The API version

Request

The updated inventory
fieldsobjectOptional
The inventory fields to update

Response

Request was successful
_idstringformat: "uuid"
Unique identifier for a SKU item
quantitydouble

Total quantity of items remaining in inventory (if finite)

inventoryTypeenum
infinite or finite
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error